Page MenuHomePhabricator

Remove AFT tables from the analytics slaves
Closed, ResolvedPublic

Description

Not sure where this lives, buuut: all the AFT5 and clicktracking tables are still in the enwiki database on analytics-store.eqiad.wmnet (and presumably on the s1.analytics* cluster too, if they're still alive).

I thought these were meant to have been trashed?

Event Timeline

Ironholds raised the priority of this task from to Needs Triage.
Ironholds updated the task description. (Show Details)
Ironholds added subscribers: Ironholds, DarTar.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2015, 6:53 PM

[Please associate projects when creating tasks!]

Milimetric assigned this task to jcrespo.Dec 7 2015, 6:44 PM
Milimetric edited projects, added DBA; removed Analytics.
Milimetric set Security to None.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptDec 7 2015, 6:44 PM

May I ask you for further details? I need to know which exact tables (table name and schemas) are pending to be deleted, and from which servers (it is ok to not know, for example, the name of all servers involved as far as you can give me feedback about the proposed tables once I research them).

The "I thought these were meant to have been trashed?" makes me think that there could be a doubt of those may be unused? Who could confirm/aprove that? Again, it is ok if it is not known- there are table access statistics and those could be audited to know that.

Sorry for asking too many questions, but dropping tables is a potential data-loss process, so we have to make them carefully and it is properly announced.

jcrespo moved this task from Triage to Backlog on the DBA board.Dec 7 2015, 7:04 PM

It seems there are multiples versions of these tables: article_feedback ones, the ones starting with aft, etc.

Reedy added a subscriber: Reedy.Jul 5 2016, 10:39 AM

It seems there are multiples versions of these tables: article_feedback ones, the ones starting with aft, etc.

Different "versions" of the extensions

aft = https://github.com/wikimedia/mediawiki-extensions-ArticleFeedbackv5
article_feedback = https://github.com/wikimedia/mediawiki-extensions-ArticleFeedback

jcrespo removed jcrespo as the assignee of this task.Feb 14 2017, 3:43 PM
jcrespo added a subscriber: jcrespo.
Marostegui closed this task as Resolved.Feb 11 2019, 9:43 AM
Marostegui claimed this task.
Marostegui added subscribers: elukey, Marostegui.

The clicktracking no longer exist on either s1 master or dbstore1002:

root@db1067.eqiad.wmnet[enwiki]> show tables like '%click%';
Empty set (0.00 sec)

root@dbstore1002.eqiad.wmnet[enwiki]> show tables like '%click%';
Empty set (0.00 sec)

The only aft or article related tables are:

root@dbstore1002.eqiad.wmnet[enwiki]> show tables like '%aft%';
+--------------------------+
| Tables_in_enwiki (%aft%) |
+--------------------------+
| aft_feedback             |
+--------------------------+
1 row in set (0.00 sec)

root@dbstore1002.eqiad.wmnet[enwiki]> show tables like 'article%';
+-----------------------------+
| Tables_in_enwiki (article%) |
+-----------------------------+
| article_assessment          |
| article_assessment_pages    |
| article_assessment_ratings  |
+-----------------------------+
3 rows in set (0.00 sec)

Those no longer exist on s1 core:

root@db1067.eqiad.wmnet[enwiki]> show tables like '%aft%';
Empty set (0.00 sec)

root@db1067.eqiad.wmnet[enwiki]> show tables like 'article%';
Empty set (0.00 sec)

As we are migrating to the new analytics hosts T210478: Migrate dbstore1002 to a multi instance setup on dbstore100[3-5] and copying the data from core, those will no longer exist on the new hosts - so I am going to resolve this ticket as it will be automatically solved once we are on the new hosts. No need to delete them now from dbstore1002 as that host is going to be decommissioned.